Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class CRLDistPoint

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.CRLDistPoint

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CRLDistPoint
extends ASN1Object

Constructor Summary
`CRLDistPoint(DistributionPoint[] points)`

Method Summary
`static CRLDistPoint` | `fromExtensions(Extensions extensions)`
`DistributionPoint[]` | `getDistributionPoints()` Return the distribution points making up the sequence.
`static CRLDistPoint` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static CRLDistPoint` | `getInstance(java.lang.Object obj)`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRLDistPoint

    public CRLDistPoint(DistributionPoint[] points)

Method Detail

### getInstance

    public static CRLDistPoint getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

### getInstance

    public static CRLDistPoint getInstance(java.lang.Object obj)

### fromExtensions

    public static CRLDistPoint fromExtensions(Extensions extensions)

### getDistributionPoints

    public DistributionPoint[] getDistributionPoints()

  Return the distribution points making up the sequence.

  Returns:
    DistributionPoint[]

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. CRLDistPoint ::= SEQUENCE SIZE {1..MAX} OF DistributionPoint

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD